#!/bin/sh
# Clone or update core Mercurial repo at the provided path. Useful for CI
# runners that don't have a shared repo setup, e.g. the shell runner that is
# currently used for Windows CI.

if hg root -R "$1"; then
    hg pull -R "$1"
else
    rm -rf "$1"
    hg clone https://mirror.octobus.net/hg "$1"
fi
